Subject: bug#33552: closed (Re: bug#33552: grep patches for "Binary file FOO matches" glitches)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Sep 2020 17:56:03 +0000

Your bug report

#33552: Possible bug with handling -I option

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33552: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33552
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33552: grep patches for "Binary file FOO matches" glitches
From: Paul Eggert <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: [email-masked], [email-masked], pg <[email-masked]>, Jason Franklin <[email-masked]>
Date: Mon, 21 Sep 2020 10:54:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/17/20 12:04 PM, Jim Meyering wrote:
> please go ahead and push them.

As that's been done and the bug fixes are now installed, I'm closing both bug 
reports.

Subject: Possible bug with handling -I option
From: Jason Franklin <[email-masked]>
To: [email-masked]
Date: Thu, 29 Nov 2018 14:59:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

I'm using grep version 3.1 on Ubuntu 18.04.

I noticed today that if you grep the attached file with:

grep -I \. cs.po | grep '^Binary'

... the message "Binary file ..." that should be suppressed still appears.  That is, the -I option doesn't behave as expected here.

Is this intentional?

Thanks,
Jason